PipeWire: Data Fields

PipeWire 0.3.34

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - d -

- data : filter , impl , link_data , node_data , param_filter , pw_array , pw_map_item , resource_data , result_device_params_data , result_node_params_data , result_port_params_data , spa_callbacks , spa_data , spa_io_memory , spa_meta , spa_pod_builder , spa_pod_parser , spa_poll_event , spa_result_device_params_data , spa_result_node_params_data , spa_source , spa_support , stream , sync
- data_aligns : spa_buffer_alloc_info
- data_size : spa_buffer_alloc_info
- datas : spa_buffer , spa_buffer_alloc_info
- dbus : impl
- dbus_connection_listener : impl
- def : impl , pw_stream_control
- default_control : descriptor
- default_sink : impl
- defaults : impl
- delay : pw_time , spa_io_clock , spa_io_rate_match
- denom : spa_fraction
- depth : spa_json
- dequeued : port , stream
- desc : descriptor , graph_hndl , graph_port , node
- descriptor_list : plugin
- destroy : object_info , pw_context_events , pw_control_events , pw_core_methods , pw_data_loop_events , pw_filter_events , pw_global_events , pw_impl_client_events , pw_impl_core_events , pw_impl_device_events , pw_impl_factory_events , pw_impl_link_events , pw_impl_metadata_events , pw_impl_module_events , pw_impl_node_events , pw_impl_port_events , pw_main_loop_events , pw_mempool_events , pw_protocol_client , pw_protocol_events , pw_protocol_server , pw_proxy_events , pw_registry_methods , pw_resource_events , pw_stream_events , pw_thread_loop_events , spa_dbus_connection , spa_dbus_connection_events
- destroy_source : spa_loop_utils_methods
- device : device , node , resource_data
- device_id : device , route
- device_list : impl
- device_listener : device
- dict : pw_properties
- direction : endpoint , find_data , find_port , node , port , pw_port_info , route , route_info , spa_graph_port , spa_latency_info , stream
- disconnect : client , pw_protocol_client
- disconnect_core : filter , stream
- disconnected : spa_dbus_connection_events
- disconnecting : client , filter , stream
- dlls : pwtest_spa_plugin
- do_disconnect : impl , module_roc_sink_data , module_roc_source_data
- do_unmap : mapping
- domain : tunnel_info
- done : pw_core_events , pw_proxy_events
- dont_remix : node
- drained : pw_filter_events , pw_stream_events , stream
- draining : filter , stream
- driver_changed : pw_impl_node_events
- driving : stream
- drop_rt : spa_thread_utils_methods
- dsp : spa_audio_info , spa_video_info
- dts_offset : spa_meta_header
- duration : spa_io_clock , spa_io_segment